# Class UnregisterDisputeAgentRequest

#### Hierarchy

- unknown
  - UnregisterDisputeAgentRequest

- Defined in src/protobuf/grpc_pb.d.ts:636
- Defined in src/protobuf/grpc_pb.d.ts:648

#####
Index

### Constructors

constructor

### Methods

getDisputeAgentType
serializeBinary
setDisputeAgentType
toObject
deserializeBinary
deserializeBinaryFromReader
serializeBinaryToWriter
toObject

## Constructors

### constructor

- new UnregisterDisputeAgentRequest(): UnregisterDisputeAgentRequest

- #### Returns UnregisterDisputeAgentRequest

  Inherited from jspb.Message.constructor

## Methods

### getDisputeAgentType

- getDisputeAgentType(): string

- #### Returns string

  - Defined in src/protobuf/grpc_pb.d.ts:637

### serializeBinary

- serializeBinary(): Uint8Array

- #### Returns Uint8Array

  - Defined in src/protobuf/grpc_pb.d.ts:640

### setDisputeAgentType

- setDisputeAgentType(value: string): UnregisterDisputeAgentRequest

- #### Parameters

  - ##### value: string

  #### Returns UnregisterDisputeAgentRequest

  - Defined in src/protobuf/grpc_pb.d.ts:638

### toObject

- toObject(includeInstance?: boolean): UnregisterDisputeAgentRequest.AsObject

- #### Parameters

  - ##### `Optional` includeInstance: boolean

  #### Returns UnregisterDisputeAgentRequest.AsObject

  - Defined in src/protobuf/grpc_pb.d.ts:641

### `Static` deserializeBinary

- deserializeBinary(bytes: Uint8Array): UnregisterDisputeAgentRequest

- #### Parameters

  - ##### bytes: Uint8Array

  #### Returns UnregisterDisputeAgentRequest

  - Defined in src/protobuf/grpc_pb.d.ts:644

### `Static` deserializeBinaryFromReader

- deserializeBinaryFromReader(message: UnregisterDisputeAgentRequest, reader: BinaryReader): UnregisterDisputeAgentRequest

- #### Parameters

  - ##### message: UnregisterDisputeAgentRequest

  - ##### reader: BinaryReader

  #### Returns UnregisterDisputeAgentRequest

  - Defined in src/protobuf/grpc_pb.d.ts:645

### `Static` serializeBinaryToWriter

- serializeBinaryToWriter(message: UnregisterDisputeAgentRequest, writer: BinaryWriter): void

- #### Parameters

  - ##### message: UnregisterDisputeAgentRequest

  - ##### writer: BinaryWriter

  #### Returns void

  - Defined in src/protobuf/grpc_pb.d.ts:643

### `Static` toObject

- toObject(includeInstance: boolean, msg: UnregisterDisputeAgentRequest): UnregisterDisputeAgentRequest.AsObject

- #### Parameters

  - ##### includeInstance: boolean

  - ##### msg: UnregisterDisputeAgentRequest

  #### Returns UnregisterDisputeAgentRequest.AsObject

  - Defined in src/protobuf/grpc_pb.d.ts:642

Generated using TypeDoc